Skip to main content
GET
/
api
/
v1
/
income-docs
List Income Documents
curl --request GET \
  --url https://api.example.com/api/v1/income-docs
[
  {
    "id": 1,
    "user_id": 1,
    "doc_type": "w2",
    "tax_year": 2025,
    "agency": "TravelNurse Inc",
    "wages_cents": 4680000,
    "federal_withheld_cents": 560000,
    "state_withheld_cents": 0,
    "s3_key": "income-docs/1/w2-travelnurse.pdf",
    "notes": null,
    "created_at": "2026-01-20T10:00:00.000Z"
  }
]

Query Parameters

year
string
default:"current year"
Tax year (YYYY).

Response

[
  {
    "id": 1,
    "user_id": 1,
    "doc_type": "w2",
    "tax_year": 2025,
    "agency": "TravelNurse Inc",
    "wages_cents": 4680000,
    "federal_withheld_cents": 560000,
    "state_withheld_cents": 0,
    "s3_key": "income-docs/1/w2-travelnurse.pdf",
    "notes": null,
    "created_at": "2026-01-20T10:00:00.000Z"
  }
]